org.jCharts.chartData.processors

## Class PieChartDataProcessor

- java.lang.Object
- - org.jCharts.chartData.processors.PieChartDataProcessor

    public final class PieChartDataProcessor
    extends Object

Utility class to process the PieChartDataSet

### Field Summary

Fields
`private IPieChartDataSet` `iPieChartDataSet`
`private double` `sumOfData`

### Constructor Summary

Constructors
Constructor and Description
`PieChartDataProcessor(IPieChartDataSet iPieChartDataSet)` Constructor

### Method Summary

Methods
`double` `getPercentageOfPie(int index)` Returns percentage of pie(360 degrees) data point at specified index.
`void` `processData()` This method should do a single pass through the data set and calculate all needed values, such as: min, max, sum, etc...

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iPieChartDataSet

    private IPieChartDataSet iPieChartDataSet

#### sumOfData

    private double sumOfData

### Constructor Detail

#### PieChartDataProcessor

    public PieChartDataProcessor(IPieChartDataSet iPieChartDataSet)

Constructor

Parameters:
  `iPieChartDataSet` -

### Method Detail

#### processData

    public void processData()

This method should do a single pass through the data set and calculate all needed values, such as: min, max, sum, etc... so that we can do this in one pass through the data. Rather than once for each.

#### getPercentageOfPie

    public double getPercentageOfPie(int index)

Returns percentage of pie(360 degrees) data point at specified index.

Parameters:
  `index` -
Returns:
  double